-- Author      : Txty
-- Create Date : 9/23/2014 12:27:36 AM

BGCallouts = LibStub("AceAddon-3.0"):NewAddon("BGCallouts", "AceConsole-3.0", "AceEvent-3.0" );

BGCallouts.show = function()
	ArathiBasin:Show(true)
	DeepwindGorge:Show(true)
	Gilneas:Show(true)
	EotStorm:Show(true)
	return
end

BGCallouts.hide = function()
	ArathiBasin:Hide(true)
	DeepwindGorge:Hide(true)
	Gilneas:Hide(true)
	EotStorm:Hide(true)
	return
end

BGCallouts.func = function(self, msg)
	-- BGCallouts:Print(msg)
	if (msg=="Arathi Basin") or (msg=="Arathibecken") then
		ArathiBasin:Show(true)
	elseif (msg=="Deepwind Gorge") or (msg=="Tiefenwindschlucht") then
		DeepwindGorge:Show(true)
	elseif (msg=="The Battle for Gilneas") or (msg=="Die Schlacht um Gilneas") then
		 Gilneas:Show(true)
	elseif (msg=="Eye of the Storm") or (msg=="Auge des Sturms") then
		EotStorm:Show(true)
	else
		BGCallouts:hide()
	end
	return
end

-- Slash commands
SLASH_BGC1 = "/BGCallouts"
SlashCmdList["BGC"] = function (msg)
	if (msg=="show") then
		BGCallouts:show()	
	elseif (msg=="hide") then
		BGCallouts:hide()
	else
		BGCallouts:Print("Only works with 'show' or 'hide'.")
	end
end

function BGCallouts:OnInitialize()
		-- Called when the addon is loaded
		-- Print a message to the chat frame
		BGCallouts:Print("Loaded")
end

function BGCallouts:OnEnable()
		-- Called when the addon is enabled
		-- Print a message to the chat frame
		self:Print("OnEnable Event Fired: Hello, again ;)")
		self:RegisterEvent("ZONE_CHANGED")
		self:RegisterEvent("ZONE_CHANGED_NEW_AREA")
		BGCallouts:func(GetZoneText())
end

function BGCallouts:OnDisable()
		-- Called when the addon is disabled
end

function BGCallouts:ZONE_CHANGED()
	BGCallouts:func(GetZoneText())
end

function BGCallouts:ZONE_CHANGED_NEW_AREA()
	BGCallouts:func(GetZoneText())
end